var ppsmanage = {
	
	prefManager: null,
	knownCountries: new Array(),
	
	$: function(id){
		return document.getElementById(id);
	},
	
	onLoad: function(){
		this.prefManager = Components.classes["@mozilla.org/preferences-service;1"]
									 .getService(Components.interfaces.nsIPrefBranch);
		
		proxyies = opener.premiumproxyswitcher.userProxies;
		this.knownCountries = new Array();
		proxyList = new Array();		
		if (proxyies.length > 0)
			for(var i in proxyies){
				proxy = proxyies[i];
				this.knownCountries[proxy.server] = proxy;
				proxyList.push(proxy.server+':'+proxy.port);
			}
		this.$('comp-userproxy').value = proxyList.join("\r\n");
	},
	
	onAccept: function(){
		text = this.$('comp-userproxy').value;
		var matches = text.match(/\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}[^\d]+\d{1,5}/g);
		proxyList = new Array();
		for(var i in matches){
			var server = matches[i].match(/\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/);
			var port = matches[i].match(/\d{1,5}$/);
			if (server !== null && port !== null) {
				var proxy = {};
				if (typeof(this.knownCountries[server]) != "undefined") {
					proxy.cc = this.knownCountries[server].cc;
					proxy.cn = this.knownCountries[server].cn;
				} else {
					proxy.cc = '??';
					proxy.cn = 'Unknown country';
				}
				proxy.server = server;
				proxy.port = port;
				proxyList.push(proxy);
			}
		}
		opener.premiumproxyswitcher.userProxies = proxyList;
		opener.premiumproxyswitcher.saveUserProxyList();
		opener.premiumproxyswitcher.rebuildProxyMenuList = true;
		opener.premiumproxyswitcher.updateUserCountryFlags = true;
		return true;
	},
	
	getPropertyString: function(name){
		try{
			if (this.propertiesBundle == null){
				var oBundle	= Components.classes['@mozilla.org/intl/stringbundle;1']
										.getService(Components.interfaces.nsIStringBundleService);
				this.propertiesBundle = oBundle.createBundle('chrome://premiumproxyswitcher/locale/premiumproxyswitcher.properties');
			}
			return this.propertiesBundle.GetStringFromName(name);
		}catch(err){}
	
		return name;
	}
	
};

window.addEventListener("load", function(e) { ppsmanage.onLoad(e); }, false);